### Signal

# Tsparql EndpointHttp::block-remote-address

#### Declaration

    gboolean
    block_remote_address (
      TrackerEndpointHttp* self,
      GioSocketAddress* address,
      gpointer user_data
    )

#### Description [src]

Allows control over the connections stablished. The given address is that of the requesting peer.

Returning `FALSE` in this handler allows the connection, returning `TRUE` blocks it. The default with no signal handlers connected is `FALSE`.

Default handler:

#### Parameters

`address`

  Type: `GSocketAddress`

  The socket address of the remote connection.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.